App\Library\Amazon\Classes\Sports:
    xml_root_name: Sports
    properties:
        productType:
            expose: true
            access_type: public_method
            serialized_name: ProductType
            accessor:
                getter: getProductType
                setter: setProductType
            type: string
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\Sports\VariationDataAType
        materialComposition:
            expose: true
            access_type: public_method
            serialized_name: MaterialComposition
            accessor:
                getter: getMaterialComposition
                setter: setMaterialComposition
            type: string
        packaging:
            expose: true
            access_type: public_method
            serialized_name: Packaging
            accessor:
                getter: getPackaging
                setter: setPackaging
            type: string
        isCustomizable:
            expose: true
            access_type: public_method
            serialized_name: IsCustomizable
            accessor:
                getter: getIsCustomizable
                setter: setIsCustomizable
            type: boolean
        customizableTemplateName:
            expose: true
            access_type: public_method
            serialized_name: CustomizableTemplateName
            accessor:
                getter: getCustomizableTemplateName
                setter: setCustomizableTemplateName
            type: string
        isAdultProduct:
            expose: true
            access_type: public_method
            serialized_name: IsAdultProduct
            accessor:
                getter: getIsAdultProduct
                setter: setIsAdultProduct
            type: boolean
        modelYear:
            expose: true
            access_type: public_method
            serialized_name: ModelYear
            accessor:
                getter: getModelYear
                setter: setModelYear
            type: integer
        season:
            expose: true
            access_type: public_method
            serialized_name: Season
            accessor:
                getter: getSeason
                setter: setSeason
            type: string
        accessLocation:
            expose: true
            access_type: public_method
            serialized_name: AccessLocation
            accessor:
                getter: getAccessLocation
                setter: setAccessLocation
            type: string
        action:
            expose: true
            access_type: public_method
            serialized_name: Action
            accessor:
                getter: getAction
                setter: setAction
            type: string
        activeIngredients:
            expose: true
            access_type: public_method
            serialized_name: ActiveIngredients
            accessor:
                getter: getActiveIngredients
                setter: setActiveIngredients
            type: string
        alarm:
            expose: true
            access_type: public_method
            serialized_name: Alarm
            accessor:
                getter: getAlarm
                setter: setAlarm
            type: string
        apparentScaleSize:
            expose: true
            access_type: public_method
            serialized_name: ApparentScaleSize
            accessor:
                getter: getApparentScaleSize
                setter: setApparentScaleSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        availableCourses:
            expose: true
            access_type: public_method
            serialized_name: AvailableCourses
            accessor:
                getter: getAvailableCourses
                setter: setAvailableCourses
            type: string
        backingLineCapacity:
            expose: true
            access_type: public_method
            serialized_name: BackingLineCapacity
            accessor:
                getter: getBackingLineCapacity
                setter: setBackingLineCapacity
            type: string
        battery:
            expose: true
            access_type: public_method
            serialized_name: Battery
            accessor:
                getter: getBattery
                setter: setBattery
            type: App\Library\Amazon\Classes\Battery
        batteryAverageLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLife
            accessor:
                getter: getBatteryAverageLife
                setter: setBatteryAverageLife
            type: float
        batteryAverageLifeStandby:
            expose: true
            access_type: public_method
            serialized_name: BatteryAverageLifeStandby
            accessor:
                getter: getBatteryAverageLifeStandby
                setter: setBatteryAverageLifeStandby
            type: float
        batteryChargeTime:
            expose: true
            access_type: public_method
            serialized_name: BatteryChargeTime
            accessor:
                getter: getBatteryChargeTime
                setter: setBatteryChargeTime
            type: float
        batteryLife:
            expose: true
            access_type: public_method
            serialized_name: BatteryLife
            accessor:
                getter: getBatteryLife
                setter: setBatteryLife
            xml_list:
                inline: true
                entry_name: BatteryLife
            type: array<App\Library\Amazon\Classes\AssemblyTimeDimensionType>
        batteryTypeLithiumIon:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumIon
            accessor:
                getter: getBatteryTypeLithiumIon
                setter: setBatteryTypeLithiumIon
            type: integer
        batteryTypeLithiumMetal:
            expose: true
            access_type: public_method
            serialized_name: BatteryTypeLithiumMetal
            accessor:
                getter: getBatteryTypeLithiumMetal
                setter: setBatteryTypeLithiumMetal
            type: integer
        beamWidth:
            expose: true
            access_type: public_method
            serialized_name: BeamWidth
            accessor:
                getter: getBeamWidth
                setter: setBeamWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        bearingMaterialType:
            expose: true
            access_type: public_method
            serialized_name: BearingMaterialType
            accessor:
                getter: getBearingMaterialType
                setter: setBearingMaterialType
            type: string
        beltStyle:
            expose: true
            access_type: public_method
            serialized_name: BeltStyle
            accessor:
                getter: getBeltStyle
                setter: setBeltStyle
            type: string
        bikeWeight:
            expose: true
            access_type: public_method
            serialized_name: BikeWeight
            accessor:
                getter: getBikeWeight
                setter: setBikeWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        bladeGrind:
            expose: true
            access_type: public_method
            serialized_name: BladeGrind
            accessor:
                getter: getBladeGrind
                setter: setBladeGrind
            type: string
        bladeLength:
            expose: true
            access_type: public_method
            serialized_name: BladeLength
            accessor:
                getter: getBladeLength
                setter: setBladeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        bladeShape:
            expose: true
            access_type: public_method
            serialized_name: BladeShape
            accessor:
                getter: getBladeShape
                setter: setBladeShape
            type: string
        bladeType:
            expose: true
            access_type: public_method
            serialized_name: BladeType
            accessor:
                getter: getBladeType
                setter: setBladeType
            type: string
        bMXBikeType:
            expose: true
            access_type: public_method
            serialized_name: BMXBikeType
            accessor:
                getter: getBMXBikeType
                setter: setBMXBikeType
            type: string
        boatFenderDiameter:
            expose: true
            access_type: public_method
            serialized_name: BoatFenderDiameter
            accessor:
                getter: getBoatFenderDiameter
                setter: setBoatFenderDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        boilRateDescription:
            expose: true
            access_type: public_method
            serialized_name: BoilRateDescription
            accessor:
                getter: getBoilRateDescription
                setter: setBoilRateDescription
            type: string
        boomLength:
            expose: true
            access_type: public_method
            serialized_name: BoomLength
            accessor:
                getter: getBoomLength
                setter: setBoomLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        bottomStyle:
            expose: true
            access_type: public_method
            serialized_name: BottomStyle
            accessor:
                getter: getBottomStyle
                setter: setBottomStyle
            type: string
        brakeType:
            expose: true
            access_type: public_method
            serialized_name: BrakeType
            accessor:
                getter: getBrakeType
                setter: setBrakeType
            type: string
        brakeWidth:
            expose: true
            access_type: public_method
            serialized_name: BrakeWidth
            accessor:
                getter: getBrakeWidth
                setter: setBrakeWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        breakingStrength:
            expose: true
            access_type: public_method
            serialized_name: BreakingStrength
            accessor:
                getter: getBreakingStrength
                setter: setBreakingStrength
            type: App\Library\Amazon\Classes\WeightDimensionType
        bTUs:
            expose: true
            access_type: public_method
            serialized_name: BTUs
            accessor:
                getter: getBTUs
                setter: setBTUs
            type: integer
        buildup:
            expose: true
            access_type: public_method
            serialized_name: Buildup
            accessor:
                getter: getBuildup
                setter: setBuildup
            type: string
        bulbType:
            expose: true
            access_type: public_method
            serialized_name: BulbType
            accessor:
                getter: getBulbType
                setter: setBulbType
            type: string
        burnTime:
            expose: true
            access_type: public_method
            serialized_name: BurnTime
            accessor:
                getter: getBurnTime
                setter: setBurnTime
            type: App\Library\Amazon\Classes\BurnTimeDimensionType
        canShipInOriginalContainer:
            expose: true
            access_type: public_method
            serialized_name: CanShipInOriginalContainer
            accessor:
                getter: getCanShipInOriginalContainer
                setter: setCanShipInOriginalContainer
            type: boolean
        capability:
            expose: true
            access_type: public_method
            serialized_name: Capability
            accessor:
                getter: getCapability
                setter: setCapability
            type: string
        capType:
            expose: true
            access_type: public_method
            serialized_name: CapType
            accessor:
                getter: getCapType
                setter: setCapType
            type: string
        careInstructions:
            expose: true
            access_type: public_method
            serialized_name: CareInstructions
            accessor:
                getter: getCareInstructions
                setter: setCareInstructions
            type: string
        centerlineLength:
            expose: true
            access_type: public_method
            serialized_name: CenterlineLength
            accessor:
                getter: getCenterlineLength
                setter: setCenterlineLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        closureType:
            expose: true
            access_type: public_method
            serialized_name: ClosureType
            accessor:
                getter: getClosureType
                setter: setClosureType
            type: string
        collarType:
            expose: true
            access_type: public_method
            serialized_name: CollarType
            accessor:
                getter: getCollarType
                setter: setCollarType
            type: string
        colorMap:
            expose: true
            access_type: public_method
            serialized_name: ColorMap
            accessor:
                getter: getColorMap
                setter: setColorMap
            type: string
        compatibleDevices:
            expose: true
            access_type: public_method
            serialized_name: CompatibleDevices
            accessor:
                getter: getCompatibleDevices
                setter: setCompatibleDevices
            type: string
        compatibleHoseDiameter:
            expose: true
            access_type: public_method
            serialized_name: CompatibleHoseDiameter
            accessor:
                getter: getCompatibleHoseDiameter
                setter: setCompatibleHoseDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        compatibleRopeDiameter:
            expose: true
            access_type: public_method
            serialized_name: CompatibleRopeDiameter
            accessor:
                getter: getCompatibleRopeDiameter
                setter: setCompatibleRopeDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        construction:
            expose: true
            access_type: public_method
            serialized_name: Construction
            accessor:
                getter: getConstruction
                setter: setConstruction
            type: string
        controlProgramName:
            expose: true
            access_type: public_method
            serialized_name: ControlProgramName
            accessor:
                getter: getControlProgramName
                setter: setControlProgramName
            type: string
        coreMaterialType:
            expose: true
            access_type: public_method
            serialized_name: CoreMaterialType
            accessor:
                getter: getCoreMaterialType
                setter: setCoreMaterialType
            type: string
        countryAsLabeled:
            expose: true
            access_type: public_method
            serialized_name: CountryAsLabeled
            accessor:
                getter: getCountryAsLabeled
                setter: setCountryAsLabeled
            type: string
        countryOfOrigin:
            expose: true
            access_type: public_method
            serialized_name: CountryOfOrigin
            accessor:
                getter: getCountryOfOrigin
                setter: setCountryOfOrigin
            type: string
        courseCapacity:
            expose: true
            access_type: public_method
            serialized_name: CourseCapacity
            accessor:
                getter: getCourseCapacity
                setter: setCourseCapacity
            type: string
        coverageArea:
            expose: true
            access_type: public_method
            serialized_name: CoverageArea
            accessor:
                getter: getCoverageArea
                setter: setCoverageArea
            type: App\Library\Amazon\Classes\AreaDimensionType
        crankLength:
            expose: true
            access_type: public_method
            serialized_name: CrankLength
            accessor:
                getter: getCrankLength
                setter: setCrankLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        cuffType:
            expose: true
            access_type: public_method
            serialized_name: CuffType
            accessor:
                getter: getCuffType
                setter: setCuffType
            type: string
        cupSize:
            expose: true
            access_type: public_method
            serialized_name: CupSize
            accessor:
                getter: getCupSize
                setter: setCupSize
            type: string
        cycles:
            expose: true
            access_type: public_method
            serialized_name: Cycles
            accessor:
                getter: getCycles
                setter: setCycles
            type: string
        deckLength:
            expose: true
            access_type: public_method
            serialized_name: DeckLength
            accessor:
                getter: getDeckLength
                setter: setDeckLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        deckWidth:
            expose: true
            access_type: public_method
            serialized_name: DeckWidth
            accessor:
                getter: getDeckWidth
                setter: setDeckWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        directions:
            expose: true
            access_type: public_method
            serialized_name: Directions
            accessor:
                getter: getDirections
                setter: setDirections
            type: string
        displayFeatures:
            expose: true
            access_type: public_method
            serialized_name: DisplayFeatures
            accessor:
                getter: getDisplayFeatures
                setter: setDisplayFeatures
            type: string
        displayLength:
            expose: true
            access_type: public_method
            serialized_name: DisplayLength
            accessor:
                getter: getDisplayLength
                setter: setDisplayLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        displaySize:
            expose: true
            access_type: public_method
            serialized_name: DisplaySize
            accessor:
                getter: getDisplaySize
                setter: setDisplaySize
            type: App\Library\Amazon\Classes\LengthDimensionType
        displayType:
            expose: true
            access_type: public_method
            serialized_name: DisplayType
            accessor:
                getter: getDisplayType
                setter: setDisplayType
            type: string
        displayVolume:
            expose: true
            access_type: public_method
            serialized_name: DisplayVolume
            accessor:
                getter: getDisplayVolume
                setter: setDisplayVolume
            type: App\Library\Amazon\Classes\VolumeDimensionType
        displayWeight:
            expose: true
            access_type: public_method
            serialized_name: DisplayWeight
            accessor:
                getter: getDisplayWeight
                setter: setDisplayWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        effectiveEdgeLength:
            expose: true
            access_type: public_method
            serialized_name: EffectiveEdgeLength
            accessor:
                getter: getEffectiveEdgeLength
                setter: setEffectiveEdgeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        engineDisplacement:
            expose: true
            access_type: public_method
            serialized_name: EngineDisplacement
            accessor:
                getter: getEngineDisplacement
                setter: setEngineDisplacement
            type: App\Library\Amazon\Classes\Sports\EngineDisplacementAType
        eventName:
            expose: true
            access_type: public_method
            serialized_name: EventName
            accessor:
                getter: getEventName
                setter: setEventName
            type: string
        eye:
            expose: true
            access_type: public_method
            serialized_name: Eye
            accessor:
                getter: getEye
                setter: setEye
            type: integer
        fabricType:
            expose: true
            access_type: public_method
            serialized_name: FabricType
            accessor:
                getter: getFabricType
                setter: setFabricType
            type: string
        fabricWash:
            expose: true
            access_type: public_method
            serialized_name: FabricWash
            accessor:
                getter: getFabricWash
                setter: setFabricWash
            type: string
        fillMaterialType:
            expose: true
            access_type: public_method
            serialized_name: FillMaterialType
            accessor:
                getter: getFillMaterialType
                setter: setFillMaterialType
            type: string
        fishingLineType:
            expose: true
            access_type: public_method
            serialized_name: FishingLineType
            accessor:
                getter: getFishingLineType
                setter: setFishingLineType
            type: string
        fishType:
            expose: true
            access_type: public_method
            serialized_name: FishType
            accessor:
                getter: getFishType
                setter: setFishType
            type: string
        fittingType:
            expose: true
            access_type: public_method
            serialized_name: FittingType
            accessor:
                getter: getFittingType
                setter: setFittingType
            type: string
        fitType:
            expose: true
            access_type: public_method
            serialized_name: FitType
            accessor:
                getter: getFitType
                setter: setFitType
            type: string
        floorArea:
            expose: true
            access_type: public_method
            serialized_name: FloorArea
            accessor:
                getter: getFloorArea
                setter: setFloorArea
            type: App\Library\Amazon\Classes\AreaDimensionType
        floorLength:
            expose: true
            access_type: public_method
            serialized_name: FloorLength
            accessor:
                getter: getFloorLength
                setter: setFloorLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        floorWidth:
            expose: true
            access_type: public_method
            serialized_name: FloorWidth
            accessor:
                getter: getFloorWidth
                setter: setFloorWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        flyLineNumber:
            expose: true
            access_type: public_method
            serialized_name: FlyLineNumber
            accessor:
                getter: getFlyLineNumber
                setter: setFlyLineNumber
            type: integer
        foldedLength:
            expose: true
            access_type: public_method
            serialized_name: FoldedLength
            accessor:
                getter: getFoldedLength
                setter: setFoldedLength
            type: string
        frameHeight:
            expose: true
            access_type: public_method
            serialized_name: FrameHeight
            accessor:
                getter: getFrameHeight
                setter: setFrameHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        frameMaterial:
            expose: true
            access_type: public_method
            serialized_name: FrameMaterial
            accessor:
                getter: getFrameMaterial
                setter: setFrameMaterial
            type: string
        frameType:
            expose: true
            access_type: public_method
            serialized_name: FrameType
            accessor:
                getter: getFrameType
                setter: setFrameType
            type: string
        frequencyBand:
            expose: true
            access_type: public_method
            serialized_name: FrequencyBand
            accessor:
                getter: getFrequencyBand
                setter: setFrequencyBand
            type: string
        frontPleatType:
            expose: true
            access_type: public_method
            serialized_name: FrontPleatType
            accessor:
                getter: getFrontPleatType
                setter: setFrontPleatType
            type: string
        fuelCapacity:
            expose: true
            access_type: public_method
            serialized_name: FuelCapacity
            accessor:
                getter: getFuelCapacity
                setter: setFuelCapacity
            type: App\Library\Amazon\Classes\VolumeDimensionType
        fuelType:
            expose: true
            access_type: public_method
            serialized_name: FuelType
            accessor:
                getter: getFuelType
                setter: setFuelType
            type: string
        functions:
            expose: true
            access_type: public_method
            serialized_name: Functions
            accessor:
                getter: getFunctions
                setter: setFunctions
            type: string
        furDescription:
            expose: true
            access_type: public_method
            serialized_name: FurDescription
            accessor:
                getter: getFurDescription
                setter: setFurDescription
            type: string
        gearDirection:
            expose: true
            access_type: public_method
            serialized_name: GearDirection
            accessor:
                getter: getGearDirection
                setter: setGearDirection
            type: string
        geographicCoverage:
            expose: true
            access_type: public_method
            serialized_name: GeographicCoverage
            accessor:
                getter: getGeographicCoverage
                setter: setGeographicCoverage
            type: string
        gloveType:
            expose: true
            access_type: public_method
            serialized_name: GloveType
            accessor:
                getter: getGloveType
                setter: setGloveType
            type: string
        gripMaterialType:
            expose: true
            access_type: public_method
            serialized_name: GripMaterialType
            accessor:
                getter: getGripMaterialType
                setter: setGripMaterialType
            type: string
        guardMaterialType:
            expose: true
            access_type: public_method
            serialized_name: GuardMaterialType
            accessor:
                getter: getGuardMaterialType
                setter: setGuardMaterialType
            type: string
        handleMaterial:
            expose: true
            access_type: public_method
            serialized_name: HandleMaterial
            accessor:
                getter: getHandleMaterial
                setter: setHandleMaterial
            type: string
        handleType:
            expose: true
            access_type: public_method
            serialized_name: HandleType
            accessor:
                getter: getHandleType
                setter: setHandleType
            type: string
        heatRating:
            expose: true
            access_type: public_method
            serialized_name: HeatRating
            accessor:
                getter: getHeatRating
                setter: setHeatRating
            type: App\Library\Amazon\Classes\TemperatureRatingDimensionType
        hP:
            expose: true
            access_type: public_method
            serialized_name: HP
            accessor:
                getter: getHP
                setter: setHP
            type: float
        hullShape:
            expose: true
            access_type: public_method
            serialized_name: HullShape
            accessor:
                getter: getHullShape
                setter: setHullShape
            type: string
        identityPackageType:
            expose: true
            access_type: public_method
            serialized_name: IdentityPackageType
            accessor:
                getter: getIdentityPackageType
                setter: setIdentityPackageType
            type: string
        importDesignation:
            expose: true
            access_type: public_method
            serialized_name: ImportDesignation
            accessor:
                getter: getImportDesignation
                setter: setImportDesignation
            type: string
        impactForce:
            expose: true
            access_type: public_method
            serialized_name: ImpactForce
            accessor:
                getter: getImpactForce
                setter: setImpactForce
            type: float
        ingredients:
            expose: true
            access_type: public_method
            serialized_name: Ingredients
            accessor:
                getter: getIngredients
                setter: setIngredients
            type: string
        inseam:
            expose: true
            access_type: public_method
            serialized_name: Inseam
            accessor:
                getter: getInseam
                setter: setInseam
            type: integer
        insulationType:
            expose: true
            access_type: public_method
            serialized_name: InsulationType
            accessor:
                getter: getInsulationType
                setter: setInsulationType
            type: string
        intensity:
            expose: true
            access_type: public_method
            serialized_name: Intensity
            accessor:
                getter: getIntensity
                setter: setIntensity
            type: float
        isSigned:
            expose: true
            access_type: public_method
            serialized_name: IsSigned
            accessor:
                getter: getIsSigned
                setter: setIsSigned
            type: string
        jerseyType:
            expose: true
            access_type: public_method
            serialized_name: JerseyType
            accessor:
                getter: getJerseyType
                setter: setJerseyType
            type: string
        knifeFunction:
            expose: true
            access_type: public_method
            serialized_name: KnifeFunction
            accessor:
                getter: getKnifeFunction
                setter: setKnifeFunction
            type: string
        lampType:
            expose: true
            access_type: public_method
            serialized_name: LampType
            accessor:
                getter: getLampType
                setter: setLampType
            type: string
        laptopCapacity:
            expose: true
            access_type: public_method
            serialized_name: LaptopCapacity
            accessor:
                getter: getLaptopCapacity
                setter: setLaptopCapacity
            type: string
        lashLength:
            expose: true
            access_type: public_method
            serialized_name: LashLength
            accessor:
                getter: getLashLength
                setter: setLashLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        leagueName:
            expose: true
            access_type: public_method
            serialized_name: LeagueName
            accessor:
                getter: getLeagueName
                setter: setLeagueName
            type: string
        legStyle:
            expose: true
            access_type: public_method
            serialized_name: LegStyle
            accessor:
                getter: getLegStyle
                setter: setLegStyle
            type: string
        lensMaterial:
            expose: true
            access_type: public_method
            serialized_name: LensMaterial
            accessor:
                getter: getLensMaterial
                setter: setLensMaterial
            type: string
        lensShape:
            expose: true
            access_type: public_method
            serialized_name: LensShape
            accessor:
                getter: getLensShape
                setter: setLensShape
            type: string
        lifeVestType:
            expose: true
            access_type: public_method
            serialized_name: LifeVestType
            accessor:
                getter: getLifeVestType
                setter: setLifeVestType
            type: string
        lightIntensity:
            expose: true
            access_type: public_method
            serialized_name: LightIntensity
            accessor:
                getter: getLightIntensity
                setter: setLightIntensity
            type: float
        lineWeight:
            expose: true
            access_type: public_method
            serialized_name: LineWeight
            accessor:
                getter: getLineWeight
                setter: setLineWeight
            type: string
        liningMaterial:
            expose: true
            access_type: public_method
            serialized_name: LiningMaterial
            accessor:
                getter: getLiningMaterial
                setter: setLiningMaterial
            type: string
        lithiumBatteryEnergyContent:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryEnergyContent
            accessor:
                getter: getLithiumBatteryEnergyContent
                setter: setLithiumBatteryEnergyContent
            type: float
        lithiumBatteryPackaging:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryPackaging
            accessor:
                getter: getLithiumBatteryPackaging
                setter: setLithiumBatteryPackaging
            type: string
        lithiumBatteryVoltage:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryVoltage
            accessor:
                getter: getLithiumBatteryVoltage
                setter: setLithiumBatteryVoltage
            type: float
        lithiumBatteryWeight:
            expose: true
            access_type: public_method
            serialized_name: LithiumBatteryWeight
            accessor:
                getter: getLithiumBatteryWeight
                setter: setLithiumBatteryWeight
            type: float
        loadCapacity:
            expose: true
            access_type: public_method
            serialized_name: LoadCapacity
            accessor:
                getter: getLoadCapacity
                setter: setLoadCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        lockType:
            expose: true
            access_type: public_method
            serialized_name: LockType
            accessor:
                getter: getLockType
                setter: setLockType
            type: string
        loudness:
            expose: true
            access_type: public_method
            serialized_name: Loudness
            accessor:
                getter: getLoudness
                setter: setLoudness
            type: float
        lureWeight:
            expose: true
            access_type: public_method
            serialized_name: LureWeight
            accessor:
                getter: getLureWeight
                setter: setLureWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        manufacturerDefinedQualityDescription:
            expose: true
            access_type: public_method
            serialized_name: ManufacturerDefinedQualityDescription
            accessor:
                getter: getManufacturerDefinedQualityDescription
                setter: setManufacturerDefinedQualityDescription
            type: string
        martialArtsType:
            expose: true
            access_type: public_method
            serialized_name: MartialArtsType
            accessor:
                getter: getMartialArtsType
                setter: setMartialArtsType
            type: string
        maximumCompatibleBootSize:
            expose: true
            access_type: public_method
            serialized_name: MaximumCompatibleBootSize
            accessor:
                getter: getMaximumCompatibleBootSize
                setter: setMaximumCompatibleBootSize
            type: integer
        maximumCompatibleRopeDiameter:
            expose: true
            access_type: public_method
            serialized_name: MaximumCompatibleRopeDiameter
            accessor:
                getter: getMaximumCompatibleRopeDiameter
                setter: setMaximumCompatibleRopeDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumHeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumHeight
            accessor:
                getter: getMaximumHeight
                setter: setMaximumHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumInclinePercentage:
            expose: true
            access_type: public_method
            serialized_name: MaximumInclinePercentage
            accessor:
                getter: getMaximumInclinePercentage
                setter: setMaximumInclinePercentage
            type: integer
        maximumLegSize:
            expose: true
            access_type: public_method
            serialized_name: MaximumLegSize
            accessor:
                getter: getMaximumLegSize
                setter: setMaximumLegSize
            type: string
        maximumMagnification:
            expose: true
            access_type: public_method
            serialized_name: MaximumMagnification
            accessor:
                getter: getMaximumMagnification
                setter: setMaximumMagnification
            type: float
        maximumPitchSpeed:
            expose: true
            access_type: public_method
            serialized_name: MaximumPitchSpeed
            accessor:
                getter: getMaximumPitchSpeed
                setter: setMaximumPitchSpeed
            type: App\Library\Amazon\Classes\Sports\MaximumPitchSpeedAType
        maximumResistance:
            expose: true
            access_type: public_method
            serialized_name: MaximumResistance
            accessor:
                getter: getMaximumResistance
                setter: setMaximumResistance
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumStrideLength:
            expose: true
            access_type: public_method
            serialized_name: MaximumStrideLength
            accessor:
                getter: getMaximumStrideLength
                setter: setMaximumStrideLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        maximumTensionRating:
            expose: true
            access_type: public_method
            serialized_name: MaximumTensionRating
            accessor:
                getter: getMaximumTensionRating
                setter: setMaximumTensionRating
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumUserWeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumUserWeight
            accessor:
                getter: getMaximumUserWeight
                setter: setMaximumUserWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        maximumWeight:
            expose: true
            access_type: public_method
            serialized_name: MaximumWeight
            accessor:
                getter: getMaximumWeight
                setter: setMaximumWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        maxWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MaxWeightRecommendation
            accessor:
                getter: getMaxWeightRecommendation
                setter: setMaxWeightRecommendation
            type: App\Library\Amazon\Classes\WeightDimensionType
        mechanicalStructure:
            expose: true
            access_type: public_method
            serialized_name: MechanicalStructure
            accessor:
                getter: getMechanicalStructure
                setter: setMechanicalStructure
            type: string
        memory:
            expose: true
            access_type: public_method
            serialized_name: Memory
            accessor:
                getter: getMemory
                setter: setMemory
            type: App\Library\Amazon\Classes\MemorySizeDimensionType
        mfrWarrantyDescriptionLabor:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionLabor
            accessor:
                getter: getMfrWarrantyDescriptionLabor
                setter: setMfrWarrantyDescriptionLabor
            type: string
        mfrWarrantyDescriptionParts:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionParts
            accessor:
                getter: getMfrWarrantyDescriptionParts
                setter: setMfrWarrantyDescriptionParts
            type: string
        mfrWarrantyDescriptionType:
            expose: true
            access_type: public_method
            serialized_name: MfrWarrantyDescriptionType
            accessor:
                getter: getMfrWarrantyDescriptionType
                setter: setMfrWarrantyDescriptionType
            type: string
        minimumCompatibleBootSize:
            expose: true
            access_type: public_method
            serialized_name: MinimumCompatibleBootSize
            accessor:
                getter: getMinimumCompatibleBootSize
                setter: setMinimumCompatibleBootSize
            type: integer
        minimumCompatibleRopeDiameter:
            expose: true
            access_type: public_method
            serialized_name: MinimumCompatibleRopeDiameter
            accessor:
                getter: getMinimumCompatibleRopeDiameter
                setter: setMinimumCompatibleRopeDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        minimumLegSize:
            expose: true
            access_type: public_method
            serialized_name: MinimumLegSize
            accessor:
                getter: getMinimumLegSize
                setter: setMinimumLegSize
            type: string
        minimumMagnification:
            expose: true
            access_type: public_method
            serialized_name: MinimumMagnification
            accessor:
                getter: getMinimumMagnification
                setter: setMinimumMagnification
            type: float
        minimumTensionRating:
            expose: true
            access_type: public_method
            serialized_name: MinimumTensionRating
            accessor:
                getter: getMinimumTensionRating
                setter: setMinimumTensionRating
            type: App\Library\Amazon\Classes\WeightDimensionType
        minimumTorsoFit:
            expose: true
            access_type: public_method
            serialized_name: MinimumTorsoFit
            accessor:
                getter: getMinimumTorsoFit
                setter: setMinimumTorsoFit
            type: string
        minimumWeightRecommendation:
            expose: true
            access_type: public_method
            serialized_name: MinimumWeightRecommendation
            accessor:
                getter: getMinimumWeightRecommendation
                setter: setMinimumWeightRecommendation
            type: App\Library\Amazon\Classes\WeightDimensionType
        monitorFeatures:
            expose: true
            access_type: public_method
            serialized_name: MonitorFeatures
            accessor:
                getter: getMonitorFeatures
                setter: setMonitorFeatures
            type: string
        motorSize:
            expose: true
            access_type: public_method
            serialized_name: MotorSize
            accessor:
                getter: getMotorSize
                setter: setMotorSize
            type: float
        mountainBikeProportionalFrameSize:
            expose: true
            access_type: public_method
            serialized_name: MountainBikeProportionalFrameSize
            accessor:
                getter: getMountainBikeProportionalFrameSize
                setter: setMountainBikeProportionalFrameSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        mountainBikeType:
            expose: true
            access_type: public_method
            serialized_name: MountainBikeType
            accessor:
                getter: getMountainBikeType
                setter: setMountainBikeType
            type: string
        mountType:
            expose: true
            access_type: public_method
            serialized_name: MountType
            accessor:
                getter: getMountType
                setter: setMountType
            type: string
        movementType:
            expose: true
            access_type: public_method
            serialized_name: MovementType
            accessor:
                getter: getMovementType
                setter: setMovementType
            type: string
        neckStyle:
            expose: true
            access_type: public_method
            serialized_name: NeckStyle
            accessor:
                getter: getNeckStyle
                setter: setNeckStyle
            type: string
        numberOfBlades:
            expose: true
            access_type: public_method
            serialized_name: NumberOfBlades
            accessor:
                getter: getNumberOfBlades
                setter: setNumberOfBlades
            type: integer
        numberOfCarriagePositions:
            expose: true
            access_type: public_method
            serialized_name: NumberOfCarriagePositions
            accessor:
                getter: getNumberOfCarriagePositions
                setter: setNumberOfCarriagePositions
            type: integer
        numberOfDoors:
            expose: true
            access_type: public_method
            serialized_name: NumberOfDoors
            accessor:
                getter: getNumberOfDoors
                setter: setNumberOfDoors
            type: integer
        numberOfExercises:
            expose: true
            access_type: public_method
            serialized_name: NumberOfExercises
            accessor:
                getter: getNumberOfExercises
                setter: setNumberOfExercises
            type: integer
        numberOfFootPositions:
            expose: true
            access_type: public_method
            serialized_name: NumberOfFootPositions
            accessor:
                getter: getNumberOfFootPositions
                setter: setNumberOfFootPositions
            type: integer
        numberOfGearLoops:
            expose: true
            access_type: public_method
            serialized_name: NumberOfGearLoops
            accessor:
                getter: getNumberOfGearLoops
                setter: setNumberOfGearLoops
            type: integer
        numberOfHeadPositions:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHeadPositions
            accessor:
                getter: getNumberOfHeadPositions
                setter: setNumberOfHeadPositions
            type: integer
        numberOfHolds:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHolds
            accessor:
                getter: getNumberOfHolds
                setter: setNumberOfHolds
            type: integer
        numberOfHorses:
            expose: true
            access_type: public_method
            serialized_name: NumberOfHorses
            accessor:
                getter: getNumberOfHorses
                setter: setNumberOfHorses
            type: integer
        numberOfLevels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLevels
            accessor:
                getter: getNumberOfLevels
                setter: setNumberOfLevels
            type: integer
        numberOfLithiumIonCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumIonCells
            accessor:
                getter: getNumberOfLithiumIonCells
                setter: setNumberOfLithiumIonCells
            type: integer
        numberOfLithiumMetalCells:
            expose: true
            access_type: public_method
            serialized_name: NumberOfLithiumMetalCells
            accessor:
                getter: getNumberOfLithiumMetalCells
                setter: setNumberOfLithiumMetalCells
            type: integer
        numberOfPages:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPages
            accessor:
                getter: getNumberOfPages
                setter: setNumberOfPages
            type: integer
        numberOfPieces:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPieces
            accessor:
                getter: getNumberOfPieces
                setter: setNumberOfPieces
            type: integer
        numberOfPockets:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPockets
            accessor:
                getter: getNumberOfPockets
                setter: setNumberOfPockets
            type: integer
        numberOfPoles:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPoles
            accessor:
                getter: getNumberOfPoles
                setter: setNumberOfPoles
            type: integer
        numberOfPrograms:
            expose: true
            access_type: public_method
            serialized_name: NumberOfPrograms
            accessor:
                getter: getNumberOfPrograms
                setter: setNumberOfPrograms
            type: integer
        numberOfResistanceLevels:
            expose: true
            access_type: public_method
            serialized_name: NumberOfResistanceLevels
            accessor:
                getter: getNumberOfResistanceLevels
                setter: setNumberOfResistanceLevels
            type: integer
        numberOfSpeeds:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSpeeds
            accessor:
                getter: getNumberOfSpeeds
                setter: setNumberOfSpeeds
            type: integer
        numberOfSprings:
            expose: true
            access_type: public_method
            serialized_name: NumberOfSprings
            accessor:
                getter: getNumberOfSprings
                setter: setNumberOfSprings
            type: integer
        objectiveLensSize:
            expose: true
            access_type: public_method
            serialized_name: ObjectiveLensSize
            accessor:
                getter: getObjectiveLensSize
                setter: setObjectiveLensSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        operationMode:
            expose: true
            access_type: public_method
            serialized_name: OperationMode
            accessor:
                getter: getOperationMode
                setter: setOperationMode
            type: string
        orientation:
            expose: true
            access_type: public_method
            serialized_name: Orientation
            accessor:
                getter: getOrientation
                setter: setOrientation
            type: string
        outerMaterialType:
            expose: true
            access_type: public_method
            serialized_name: OuterMaterialType
            accessor:
                getter: getOuterMaterialType
                setter: setOuterMaterialType
            type: string
        packedSize:
            expose: true
            access_type: public_method
            serialized_name: PackedSize
            accessor:
                getter: getPackedSize
                setter: setPackedSize
            type: string
        padType:
            expose: true
            access_type: public_method
            serialized_name: PadType
            accessor:
                getter: getPadType
                setter: setPadType
            type: string
        patternStyle:
            expose: true
            access_type: public_method
            serialized_name: PatternStyle
            accessor:
                getter: getPatternStyle
                setter: setPatternStyle
            type: string
        peakHeight:
            expose: true
            access_type: public_method
            serialized_name: PeakHeight
            accessor:
                getter: getPeakHeight
                setter: setPeakHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        pixels:
            expose: true
            access_type: public_method
            serialized_name: Pixels
            accessor:
                getter: getPixels
                setter: setPixels
            type: string
        playerName:
            expose: true
            access_type: public_method
            serialized_name: PlayerName
            accessor:
                getter: getPlayerName
                setter: setPlayerName
            type: string
        pocketDescription:
            expose: true
            access_type: public_method
            serialized_name: PocketDescription
            accessor:
                getter: getPocketDescription
                setter: setPocketDescription
            type: string
        positionAccuracy:
            expose: true
            access_type: public_method
            serialized_name: PositionAccuracy
            accessor:
                getter: getPositionAccuracy
                setter: setPositionAccuracy
            type: string
        powerSource:
            expose: true
            access_type: public_method
            serialized_name: PowerSource
            accessor:
                getter: getPowerSource
                setter: setPowerSource
            type: string
        pPUCount:
            expose: true
            access_type: public_method
            serialized_name: PPUCount
            accessor:
                getter: getPPUCount
                setter: setPPUCount
            type: string
        pPUCountType:
            expose: true
            access_type: public_method
            serialized_name: PPUCountType
            accessor:
                getter: getPPUCountType
                setter: setPPUCountType
            type: string
        proportionalFrameSize:
            expose: true
            access_type: public_method
            serialized_name: ProportionalFrameSize
            accessor:
                getter: getProportionalFrameSize
                setter: setProportionalFrameSize
            type: float
        pullType:
            expose: true
            access_type: public_method
            serialized_name: PullType
            accessor:
                getter: getPullType
                setter: setPullType
            type: string
        range:
            expose: true
            access_type: public_method
            serialized_name: Range
            accessor:
                getter: getRange
                setter: setRange
            type: App\Library\Amazon\Classes\StringLengthOptionalDimensionType
        rearDerailleurCompatibleChainSize:
            expose: true
            access_type: public_method
            serialized_name: RearDerailleurCompatibleChainSize
            accessor:
                getter: getRearDerailleurCompatibleChainSize
                setter: setRearDerailleurCompatibleChainSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        recommendedWorkoutSpace:
            expose: true
            access_type: public_method
            serialized_name: RecommendedWorkoutSpace
            accessor:
                getter: getRecommendedWorkoutSpace
                setter: setRecommendedWorkoutSpace
            type: App\Library\Amazon\Classes\AreaDimensionOptionalUnitType
        reelDiameter:
            expose: true
            access_type: public_method
            serialized_name: ReelDiameter
            accessor:
                getter: getReelDiameter
                setter: setReelDiameter
            type: App\Library\Amazon\Classes\LengthDimensionType
        reelModel:
            expose: true
            access_type: public_method
            serialized_name: ReelModel
            accessor:
                getter: getReelModel
                setter: setReelModel
            type: string
        region:
            expose: true
            access_type: public_method
            serialized_name: Region
            accessor:
                getter: getRegion
                setter: setRegion
            type: string
        resistance:
            expose: true
            access_type: public_method
            serialized_name: Resistance
            accessor:
                getter: getResistance
                setter: setResistance
            type: integer
        resistanceMechanism:
            expose: true
            access_type: public_method
            serialized_name: ResistanceMechanism
            accessor:
                getter: getResistanceMechanism
                setter: setResistanceMechanism
            type: string
        resolution:
            expose: true
            access_type: public_method
            serialized_name: Resolution
            accessor:
                getter: getResolution
                setter: setResolution
            type: string
        riseStyle:
            expose: true
            access_type: public_method
            serialized_name: RiseStyle
            accessor:
                getter: getRiseStyle
                setter: setRiseStyle
            type: string
        roadBikeProportionalFrameSize:
            expose: true
            access_type: public_method
            serialized_name: RoadBikeProportionalFrameSize
            accessor:
                getter: getRoadBikeProportionalFrameSize
                setter: setRoadBikeProportionalFrameSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        roadBikeType:
            expose: true
            access_type: public_method
            serialized_name: RoadBikeType
            accessor:
                getter: getRoadBikeType
                setter: setRoadBikeType
            type: string
        rodLength:
            expose: true
            access_type: public_method
            serialized_name: RodLength
            accessor:
                getter: getRodLength
                setter: setRodLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        rodWeight:
            expose: true
            access_type: public_method
            serialized_name: RodWeight
            accessor:
                getter: getRodWeight
                setter: setRodWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        routes:
            expose: true
            access_type: public_method
            serialized_name: Routes
            accessor:
                getter: getRoutes
                setter: setRoutes
            type: integer
        rValue:
            expose: true
            access_type: public_method
            serialized_name: R-Value
            accessor:
                getter: getRValue
                setter: setRValue
            type: float
        scale:
            expose: true
            access_type: public_method
            serialized_name: Scale
            accessor:
                getter: getScale
                setter: setScale
            type: string
        screenColor:
            expose: true
            access_type: public_method
            serialized_name: ScreenColor
            accessor:
                getter: getScreenColor
                setter: setScreenColor
            type: string
        screenSize:
            expose: true
            access_type: public_method
            serialized_name: ScreenSize
            accessor:
                getter: getScreenSize
                setter: setScreenSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatHeight:
            expose: true
            access_type: public_method
            serialized_name: SeatHeight
            accessor:
                getter: getSeatHeight
                setter: setSeatHeight
            type: App\Library\Amazon\Classes\LengthDimensionType
        seatingCapacity:
            expose: true
            access_type: public_method
            serialized_name: SeatingCapacity
            accessor:
                getter: getSeatingCapacity
                setter: setSeatingCapacity
            type: integer
        sellerWarrantyDescription:
            expose: true
            access_type: public_method
            serialized_name: SellerWarrantyDescription
            accessor:
                getter: getSellerWarrantyDescription
                setter: setSellerWarrantyDescription
            type: string
        shellMaterial:
            expose: true
            access_type: public_method
            serialized_name: ShellMaterial
            accessor:
                getter: getShellMaterial
                setter: setShellMaterial
            type: string
        shirtType:
            expose: true
            access_type: public_method
            serialized_name: ShirtType
            accessor:
                getter: getShirtType
                setter: setShirtType
            type: string
        shoeWidth:
            expose: true
            access_type: public_method
            serialized_name: ShoeWidth
            accessor:
                getter: getShoeWidth
                setter: setShoeWidth
            type: string
        sizeMap:
            expose: true
            access_type: public_method
            serialized_name: SizeMap
            accessor:
                getter: getSizeMap
                setter: setSizeMap
            type: string
        skillLevel:
            expose: true
            access_type: public_method
            serialized_name: SkillLevel
            accessor:
                getter: getSkillLevel
                setter: setSkillLevel
            type: string
        skiStyle:
            expose: true
            access_type: public_method
            serialized_name: SkiStyle
            accessor:
                getter: getSkiStyle
                setter: setSkiStyle
            type: string
        sleepingCapacity:
            expose: true
            access_type: public_method
            serialized_name: SleepingCapacity
            accessor:
                getter: getSleepingCapacity
                setter: setSleepingCapacity
            type: integer
        sleeveLength:
            expose: true
            access_type: public_method
            serialized_name: SleeveLength
            accessor:
                getter: getSleeveLength
                setter: setSleeveLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        sleeveType:
            expose: true
            access_type: public_method
            serialized_name: SleeveType
            accessor:
                getter: getSleeveType
                setter: setSleeveType
            type: string
        snowboardStyle:
            expose: true
            access_type: public_method
            serialized_name: SnowboardStyle
            accessor:
                getter: getSnowboardStyle
                setter: setSnowboardStyle
            type: string
        sockHeight:
            expose: true
            access_type: public_method
            serialized_name: SockHeight
            accessor:
                getter: getSockHeight
                setter: setSockHeight
            type: string
        sockStyle:
            expose: true
            access_type: public_method
            serialized_name: SockStyle
            accessor:
                getter: getSockStyle
                setter: setSockStyle
            type: string
        sonarType:
            expose: true
            access_type: public_method
            serialized_name: SonarType
            accessor:
                getter: getSonarType
                setter: setSonarType
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        specificUsageForProduct:
            expose: true
            access_type: public_method
            serialized_name: SpecificUsageForProduct
            accessor:
                getter: getSpecificUsageForProduct
                setter: setSpecificUsageForProduct
            type: string
        speed:
            expose: true
            access_type: public_method
            serialized_name: Speed
            accessor:
                getter: getSpeed
                setter: setSpeed
            type: string
        speedRating:
            expose: true
            access_type: public_method
            serialized_name: SpeedRating
            accessor:
                getter: getSpeedRating
                setter: setSpeedRating
            type: string
        sport:
            expose: true
            access_type: public_method
            serialized_name: Sport
            accessor:
                getter: getSport
                setter: setSport
            type: string
        state:
            expose: true
            access_type: public_method
            serialized_name: State
            accessor:
                getter: getState
                setter: setState
            type: string
        staticElongationPercentage:
            expose: true
            access_type: public_method
            serialized_name: StaticElongationPercentage
            accessor:
                getter: getStaticElongationPercentage
                setter: setStaticElongationPercentage
            type: float
        staticWeight:
            expose: true
            access_type: public_method
            serialized_name: StaticWeight
            accessor:
                getter: getStaticWeight
                setter: setStaticWeight
            type: App\Library\Amazon\Classes\WeightDimensionType
        strapType:
            expose: true
            access_type: public_method
            serialized_name: StrapType
            accessor:
                getter: getStrapType
                setter: setStrapType
            type: string
        strength:
            expose: true
            access_type: public_method
            serialized_name: Strength
            accessor:
                getter: getStrength
                setter: setStrength
            type: App\Library\Amazon\Classes\WeightDimensionType
        styleKeywords:
            expose: true
            access_type: public_method
            serialized_name: StyleKeywords
            accessor:
                getter: getStyleKeywords
                setter: setStyleKeywords
            xml_list:
                inline: true
                entry_name: StyleKeywords
            type: array<string>
        supportType:
            expose: true
            access_type: public_method
            serialized_name: SupportType
            accessor:
                getter: getSupportType
                setter: setSupportType
            type: string
        suspensionType:
            expose: true
            access_type: public_method
            serialized_name: SuspensionType
            accessor:
                getter: getSuspensionType
                setter: setSuspensionType
            type: string
        targetGender:
            expose: true
            access_type: public_method
            serialized_name: TargetGender
            accessor:
                getter: getTargetGender
                setter: setTargetGender
            type: string
        targetZones:
            expose: true
            access_type: public_method
            serialized_name: TargetZones
            accessor:
                getter: getTargetZones
                setter: setTargetZones
            type: integer
        teamName:
            expose: true
            access_type: public_method
            serialized_name: TeamName
            accessor:
                getter: getTeamName
                setter: setTeamName
            type: string
        tensionSupported:
            expose: true
            access_type: public_method
            serialized_name: TensionSupported
            accessor:
                getter: getTensionSupported
                setter: setTensionSupported
            type: App\Library\Amazon\Classes\WeightDimensionType
        theme:
            expose: true
            access_type: public_method
            serialized_name: Theme
            accessor:
                getter: getTheme
                setter: setTheme
            type: string
        threadSize:
            expose: true
            access_type: public_method
            serialized_name: ThreadSize
            accessor:
                getter: getThreadSize
                setter: setThreadSize
            type: string
        topStyle:
            expose: true
            access_type: public_method
            serialized_name: TopStyle
            accessor:
                getter: getTopStyle
                setter: setTopStyle
            type: string
        topTubeLength:
            expose: true
            access_type: public_method
            serialized_name: TopTubeLength
            accessor:
                getter: getTopTubeLength
                setter: setTopTubeLength
            type: App\Library\Amazon\Classes\LengthDimensionType
        trailerType:
            expose: true
            access_type: public_method
            serialized_name: TrailerType
            accessor:
                getter: getTrailerType
                setter: setTrailerType
            type: string
        turnRadius:
            expose: true
            access_type: public_method
            serialized_name: TurnRadius
            accessor:
                getter: getTurnRadius
                setter: setTurnRadius
            type: App\Library\Amazon\Classes\LengthDimensionType
        uIAAFallRating:
            expose: true
            access_type: public_method
            serialized_name: UIAAFallRating
            accessor:
                getter: getUIAAFallRating
                setter: setUIAAFallRating
            type: integer
        underwireType:
            expose: true
            access_type: public_method
            serialized_name: UnderwireType
            accessor:
                getter: getUnderwireType
                setter: setUnderwireType
            type: string
        uniformNumber:
            expose: true
            access_type: public_method
            serialized_name: UniformNumber
            accessor:
                getter: getUniformNumber
                setter: setUniformNumber
            type: string
        usageCapacity:
            expose: true
            access_type: public_method
            serialized_name: UsageCapacity
            accessor:
                getter: getUsageCapacity
                setter: setUsageCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        uVProtection:
            expose: true
            access_type: public_method
            serialized_name: UVProtection
            accessor:
                getter: getUVProtection
                setter: setUVProtection
            type: integer
        volumeCapacityName:
            expose: true
            access_type: public_method
            serialized_name: VolumeCapacityName
            accessor:
                getter: getVolumeCapacityName
                setter: setVolumeCapacityName
            type: float
        waistSize:
            expose: true
            access_type: public_method
            serialized_name: WaistSize
            accessor:
                getter: getWaistSize
                setter: setWaistSize
            type: App\Library\Amazon\Classes\LengthDimensionType
        waistWidth:
            expose: true
            access_type: public_method
            serialized_name: WaistWidth
            accessor:
                getter: getWaistWidth
                setter: setWaistWidth
            type: App\Library\Amazon\Classes\LengthDimensionType
        warmthRating:
            expose: true
            access_type: public_method
            serialized_name: WarmthRating
            accessor:
                getter: getWarmthRating
                setter: setWarmthRating
            type: App\Library\Amazon\Classes\TemperatureRatingDimensionType
        warnings:
            expose: true
            access_type: public_method
            serialized_name: Warnings
            accessor:
                getter: getWarnings
                setter: setWarnings
            type: string
        warranty:
            expose: true
            access_type: public_method
            serialized_name: Warranty
            accessor:
                getter: getWarranty
                setter: setWarranty
            type: string
        waterBottleCapType:
            expose: true
            access_type: public_method
            serialized_name: WaterBottleCapType
            accessor:
                getter: getWaterBottleCapType
                setter: setWaterBottleCapType
            type: string
        waterResistanceRating:
            expose: true
            access_type: public_method
            serialized_name: WaterResistanceRating
            accessor:
                getter: getWaterResistanceRating
                setter: setWaterResistanceRating
            type: App\Library\Amazon\Classes\LengthDimensionType
        waterType:
            expose: true
            access_type: public_method
            serialized_name: WaterType
            accessor:
                getter: getWaterType
                setter: setWaterType
            type: string
        wattage:
            expose: true
            access_type: public_method
            serialized_name: Wattage
            accessor:
                getter: getWattage
                setter: setWattage
            type: float
        watts:
            expose: true
            access_type: public_method
            serialized_name: Watts
            accessor:
                getter: getWatts
                setter: setWatts
            type: App\Library\Amazon\Classes\WattageDimensionType
        wayPoints:
            expose: true
            access_type: public_method
            serialized_name: WayPoints
            accessor:
                getter: getWayPoints
                setter: setWayPoints
            type: integer
        weightCapacity:
            expose: true
            access_type: public_method
            serialized_name: WeightCapacity
            accessor:
                getter: getWeightCapacity
                setter: setWeightCapacity
            type: App\Library\Amazon\Classes\WeightDimensionType
        whatsInTheBox:
            expose: true
            access_type: public_method
            serialized_name: WhatsInTheBox
            accessor:
                getter: getWhatsInTheBox
                setter: setWhatsInTheBox
            type: string
        wheelType:
            expose: true
            access_type: public_method
            serialized_name: WheelType
            accessor:
                getter: getWheelType
                setter: setWheelType
            type: string
